package com.sooka.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 单位账户信息对象 tgjj_dwzhxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjDwzhxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** 单位账号 */
    @Excel(name = "单位账号")
    private String DWZH;

    /** 单位缴存比例 */
    @Excel(name = "单位缴存比例")
    private BigDecimal DWJCBL;

    /** 个人缴存比例 */
    @Excel(name = "个人缴存比例")
    private BigDecimal GRJCBL;

    /** 单位缴存人数 */
    @Excel(name = "单位缴存人数")
    private Long DWJCRS;

    /** 单位封存人数 */
    @Excel(name = "单位封存人数")
    private Long DWFCRS;

    /** 单位账户余额 */
    @Excel(name = "单位账户余额")
    private BigDecimal DWZHYE;

    /** 单位销户日期 */
    @Excel(name = "单位销户日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date DWXHRQ;

    /** 单位销户原因 */
    @Excel(name = "单位销户原因")
    private String DWXHYY;

    /** 单位账户状态 */
    @Excel(name = "单位账户状态")
    private String DWZHZT;

    /** 缴至年月 */
    @Excel(name = "缴至年月")
    private String JZNY;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 处理类型 */
    @Excel(name = "处理类型")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setDWZH(String DWZH)
    {
        this.DWZH = DWZH;
    }

    public String getDWZH()
    {
        return DWZH;
    }
    public void setDWJCBL(BigDecimal DWJCBL)
    {
        this.DWJCBL = DWJCBL;
    }

    public BigDecimal getDWJCBL()
    {
        return DWJCBL;
    }
    public void setGRJCBL(BigDecimal GRJCBL)
    {
        this.GRJCBL = GRJCBL;
    }

    public BigDecimal getGRJCBL()
    {
        return GRJCBL;
    }
    public void setDWJCRS(Long DWJCRS)
    {
        this.DWJCRS = DWJCRS;
    }

    public Long getDWJCRS()
    {
        return DWJCRS;
    }
    public void setDWFCRS(Long DWFCRS)
    {
        this.DWFCRS = DWFCRS;
    }

    public Long getDWFCRS()
    {
        return DWFCRS;
    }
    public void setDWZHYE(BigDecimal DWZHYE)
    {
        this.DWZHYE = DWZHYE;
    }

    public BigDecimal getDWZHYE()
    {
        return DWZHYE;
    }
    public void setDWXHRQ(Date DWXHRQ)
    {
        this.DWXHRQ = DWXHRQ;
    }

    public Date getDWXHRQ()
    {
        return DWXHRQ;
    }
    public void setDWXHYY(String DWXHYY)
    {
        this.DWXHYY = DWXHYY;
    }

    public String getDWXHYY()
    {
        return DWXHYY;
    }
    public void setDWZHZT(String DWZHZT)
    {
        this.DWZHZT = DWZHZT;
    }

    public String getDWZHZT()
    {
        return DWZHZT;
    }
    public void setJZNY(String JZNY)
    {
        this.JZNY = JZNY;
    }

    public String getJZNY()
    {
        return JZNY;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("DWZH", getDWZH())
            .append("DWJCBL", getDWJCBL())
            .append("GRJCBL", getGRJCBL())
            .append("DWJCRS", getDWJCRS())
            .append("DWFCRS", getDWFCRS())
            .append("DWZHYE", getDWZHYE())
            .append("DWXHRQ", getDWXHRQ())
            .append("DWXHYY", getDWXHYY())
            .append("DWZHZT", getDWZHZT())
            .append("JZNY", getJZNY())
            .append("ZXBH", getZXBH())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("CLLX", getCLLX())
            .toString();
    }
}
